package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 任务内容
 * @Author zh
 * @Date 2024-04-07
 */
@Getter
public enum TaskContentEnum {

    /**
     * 电话外呼
     */
    PHONE_OUTBOUND("PHONE_OUTBOUND"),

    /**
     * 问卷量表
     */
    QUESTIONNAIRE_SCALE("QUESTIONNAIRE_SCALE"),

    /**
     * 宣教文章
     */
    PROPAGANDA_ARTICLE("PROPAGANDA_ARTICLE"),

    /**
     * 文字提醒
     */
    TEXT_REMIND("TEXT_REMIND"),

    /**
     * 人工随访
     */
    ARTIFICIAL_FOLLOW_UP("ARTIFICIAL_FOLLOW_UP"),

	/**
	 * 短信提醒
	 */
	SMS_REMIND("SMS_REMIND"),
    ;

    final private String info;

    TaskContentEnum(String info) {
        this.info = info;
    }
}
